Skip to main content

Retrieve active listings

Important

Use https://careers.flatchr.io to retrieve your active and published listings, and https://api.flatchr.io to retrieve your active but unpublished listings.

Request

You can retrieve your active listings in JSON format using the following request:

GET /company/{slug}.json

You can also refine your listing searches by passing various query parameters.

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
slugpathstring
✔️
Company slugflatchr
idquerystringListing identifiereoLm5NdD0dAGbZQJ
activityquerystringActivity identifier1
metierquerystringJob category identifier10
localityquerystringCityParis
administrative_area_level_1querystringRegionBretagne
filterquerystringFilter on listing title or referencedeveloper
affiliatedquerystringAccount identifiers of affiliates, comma-separatedeoLm5NdD0dAGbZQJ,z7gXQnjq6gdJRakA
cURL request
curl -X GET https://careers.flatchr.io/company/flatchr.json

Response

NameTypeDescription
idstringDistribution key
offer_idintegerJob board offer identifier
external_id
publishedbooleanWhether the listing is published or not
created_attimestampDistribution creation date
vacancyvacancy
vacancy_idstringListing identifier

Response example

View example without parameters
{
"items": [{
"id": "k0M5O9ybXbX9xbQB",
"offer_id": 98,
"external_id": null,
"published": true,
"created_at": "2022-01-03T13:28:36.705Z",
"vacancy": {
"id": "z7gXQnjq6gdJRakA",
"vacancy_id": 84512,
"slug": "z7gwqnja6gdjraka-account-executive-saas-h-f",
"reference": "CDI-SALES-EXEC-Dec 2021",
"title": "Account Executive SaaS H/F",
"salary": "0",
"status": 1,
"language": "fr_FR",
"contract_type_id": 1,
"education_level_id": 6,
"activity_id": 25,
"channel_id": 2,
"metier_id": 49,
"company_id": 29,
"slug_mail": "dk435w",
"questions": []
},
"vacancy_id": 84512
}]
}
View example with parameters
{
"filter": "executive",
"items": [{
"id": "k0M5O9ybXbX9xbQB",
"offer_id": 98,
"external_id": null,
"published": true,
"created_at": "2022-01-03T13:28:36.705Z",
"vacancy": {
"id": "z7gXQnjq6gdJRakA",
"vacancy_id": 84512,
"slug": "z7gwqnja6gdjraka-account-executive-saas-h-f",
"reference": "CDI-SALES-EXEC-Dec 2021",
"title": "Account Executive SaaS H/F",
"salary": "0",
"status": 1,
"language": "fr_FR"
},
"vacancy_id": 84512
}]
}